> For the complete documentation index, see [llms.txt](https://docs.sentiance.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sentiance.com/important-topics/sdk/api-reference/android/useractivity.md).

# UserActivity

Represents a user activity detected by the SDK detections.

## UserActivity API

### `getActivityType()`

> ```java
> UserActivityType getActivityType()
> ```
>
> Returns a [`UserActivityType`](/important-topics/sdk/api-reference/android/useractivitytype.md) enum representing the detected activity type.

### `getTripInfo()`

> ```java
> @Nullable TripInfo getTripInfo()
> ```
>
> Returns a [`TripInfo`](/important-topics/sdk/api-reference/android/tripinfo.md) object containing info about the ongoing trip. If the current activity is not a trip, this method will return `null` instead.

### `getStationaryInfo()`

> ```java
> @Nullable StationaryInfo getStationaryInfo()
> ```
>
> Returns a [`StationaryInfo`](/important-topics/sdk/api-reference/android/stationaryinfo.md) object containing info about the current stationary state. If the current activity is not a stationary, this method will return `null` instead.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/useractivity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
